[alpine-aports] [PATCH] testing/wayland-protocols: move pkgconfig data to -dev

Valery Kartel
Details
Message ID
<20170223112743.25738-1-valery.kartel@gmail.com>
Sender timestamp
1487849263
DKIM signature
missing
Download raw message
Patch: +12 -5
take maintain
---
 testing/wayland-protocols/APKBUILD | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

diff --git a/testing/wayland-protocols/APKBUILD b/testing/wayland-protocols/APKBUILD
index 2de2f4f499..31625e5842 100644
--- a/testing/wayland-protocols/APKBUILD
+++ b/testing/wayland-protocols/APKBUILD
@@ -1,17 +1,18 @@
 # Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
-# Maintainer:
+# Maintainer: Valery Kartel <valery.kartel@gmail.com>
 pkgname=wayland-protocols
 pkgver=1.7
-pkgrel=0
+pkgrel=1
 pkgdesc="Protocols and protocol extensions complementing the Wayland core protocol"
 url="http://wayland.freedesktop.org"
 arch="noarch"
 license="MIT"
 depends=""
 makedepends="wayland-dev"
+subpackages="$pkgname-dev"
 source="https://wayland.freedesktop.org/releases/$pkgname-$pkgver.tar.xz"
-
 builddir="$srcdir/$pkgname-$pkgver"
+
 build() {
 	cd "$builddir"
 	./configure \
@@ -30,6 +31,12 @@ package() {
 		-C "$builddir" install || return 1
 }
 
-md5sums="9acfc9556f7cfedc44d97af60da66a5f  wayland-protocols-1.7.tar.xz"
-sha256sums="635f2a937d318f1fecb97b54074ca211486e38af943868dd0fa82ea38d091c1f  wayland-protocols-1.7.tar.xz"
+dev() {
+	mkdir -p "$subpkgdir"/usr/share || return 1
+	mv "$pkgdir"/usr/share/pkgconfig \
+		"$subpkgdir"/usr/share || return 1
+
+	default_dev
+}
+
 sha512sums="291a3226cc538de3b81bdffa5de513b305a946bfc3481e21c254fcc6a023e0cf2ff1869509c7ae193da02460f1d4a3c5cd5f1ca13b2550886acffcc636fb30d2  wayland-protocols-1.7.tar.xz"
-- 
2.11.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---